local WhiteStroke = color("1,1,1,0.5");
local numPos = 76
local labelPos = 70

return Def.ActorFrame{
	Name="AvailableData";
	InitCommand=cmd(x,SCREEN_LEFT+10;y,SCREEN_TOP+16);

	AutoText("frutiger") .. {
		Name="SongNum";
		Text=SONGMAN:GetNumSongs();
		InitCommand=cmd(x,numPos;halign,0;shadowlength,0;diffuse,color("#FF0000");skewx,-0.2;zoom,0.8;strokecolor,color("#66000000"));
	};
	AutoText("frutiger") .. {
		Name="SongText";
		InitCommand=cmd(x,labelPos;halign,1;shadowlength,0;diffuse,color("#000000");zoom,0.6;strokecolor,WhiteStroke);
		OnCommand=function(self)
			local text = "songs";
			if SONGMAN:GetNumSongs() == 1 then text= "song" end;
			self:settext( THEME:GetString("ScreenTitleMenu",text) );
		end;
	};

	AutoText("frutiger") .. {
		Name="GroupNum";
		Text=SONGMAN:GetNumSongGroups();
		InitCommand=cmd(x,numPos;halign,0;addy,16;shadowlength,0;diffuse,color("#FF0000");skewx,-0.2;zoom,0.8;strokecolor,color("#66000000"));
	};
	AutoText("frutiger") .. {
		Name="GroupText";
		InitCommand=cmd(x,labelPos;halign,1;addy,16;shadowlength,0;diffuse,color("#000000");zoom,0.6;strokecolor,WhiteStroke);
		OnCommand=function(self)
			local text = "group";
			if SONGMAN:GetNumSongGroups() >= 1 then text = "groups" end;
			self:settext( THEME:GetString("ScreenTitleMenu",text) );
		end;
	};

	AutoText("frutiger") .. {
		Name="CourseNum";
		Text=SONGMAN:GetNumCourses();
		InitCommand=cmd(x,numPos;halign,0;addy,32;shadowlength,0;diffuse,color("#FF0000");skewx,-0.2;zoom,0.8;strokecolor,color("#66000000"));
	};
	AutoText("frutiger") .. {
		Name="CourseText";
		InitCommand=cmd(x,labelPos;halign,1;addy,32;shadowlength,0;diffuse,color("#000000");zoom,0.6;strokecolor,WhiteStroke);
		OnCommand=function(self)
			local text = "courses";
			if SONGMAN:GetNumCourses() == 1 then text = "course" end;
			self:settext( THEME:GetString("ScreenTitleMenu",text) );
		end;
	};
};